Gda.SqlSelectField – Gda-6.0 Reference Manual

# SqlSelectField

## Object Hierarchy:

## Description:

[ CCode ( copy_function = "g_boxed_copy" , free_function = "g_boxed_free" , type_id = "gda_sql_select_field_get_type ()" ) ]
[ Compact ]
public class SqlSelectField
Namespace: Gda
Package: Gda-6.0

## Content:

### Creation methods:

- public SqlSelectField (SqlAnyPart parent)

### Methods:

- public SqlSelectField copy ()
- public void free ()
- public string serialize ()
- public void take_alias (Value alias)
- public void take_expr (SqlExpr expr)
- public void take_star_value (Value value)

### Fields:

- public unowned string @as
- public unowned SqlAnyPart any
- public unowned SqlExpr expr
- public unowned string field_name
- public unowned string table_name
- public MetaDbObject validity_meta_object
- public MetaTableColumn validity_meta_table_column